compiz (1:0.9.14.2+25.10.20250930-0ubuntu3) resolute; urgency=medium

  * Drop build dependency on libxorg-gtest-dev, uninstallable.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 28 Feb 2026 08:31:24 +0100

compiz (1:0.9.14.2+25.10.20250930-0ubuntu2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 20:30:57 +0000

compiz (1:0.9.14.2+25.10.20250930-0ubuntu1) questing; urgency=medium

  [ Leso_KN ]
  * Fix crash in vertexbuffer (LP: #2060620).

  [ Matthew Dinslage ]
  * Fix GCC 15 warnings about incompatible pointer types (LP: #2115117).

  [ Dmitry Shachnev ]
  * Fix more GCC 15 errors.
  * Add systemd service file.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 30 Sep 2025 15:59:55 +0300

compiz (1:0.9.14.2+22.10.20220822-0ubuntu16) questing; urgency=medium

  * Build-depend on python3-setuptools.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 18:06:22 +0200

compiz (1:0.9.14.2+22.10.20220822-0ubuntu15) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 May 2025 14:22:32 +0200

compiz (1:0.9.14.2+22.10.20220822-0ubuntu14) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:15:19 +0200

compiz (1:0.9.14.2+22.10.20220822-0ubuntu13) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:03:11 +0100

compiz (1:0.9.14.2+22.10.20220822-0ubuntu12) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:48:15 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu11) noble; urgency=medium

  * Apply patches from debian/patches since this is not a 3.0 (quilt) package

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 03:09:58 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu10) noble; urgency=medium

  * Rename libraries for 64-bit time_t transition.  Closes: #1061901
  * debian/patches/64-bit-time-t-compat.patch: fix build with
    _TIME_BITS=64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 01:07:26 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu9) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:11:10 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu8) noble; urgency=medium

  * Drop toggle-shaded since it's no longer included in
    gsettings-desktop-schemas 45 (LP: #2045493)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Mar 2024 15:46:39 -0500

compiz (1:0.9.14.2+22.10.20220822-0ubuntu7) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:14:40 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu6) noble; urgency=medium

  * Adjust path for the CompizConfigPython tests (LP: #2050888)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 23 Jan 2024 17:37:25 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu5) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:07:54 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu4) mantic; urgency=medium

  * Fix ftbfs by stopping forcing obsolete c++11.
  * Disable Werror.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 22 Sep 2023 00:46:09 +0100

compiz (1:0.9.14.2+22.10.20220822-0ubuntu3) lunar; urgency=medium

  * Rebuild against new libprotobuf32.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Jan 2023 19:39:45 +0100

compiz (1:0.9.14.2+22.10.20220822-0ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 19:56:17 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu1) kinetic; urgency=medium

  * Bump upstream version number to 0.9.14.2.
  * Update translations from Launchpad.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 22 Aug 2022 05:55:24 +0000

compiz (1:0.9.14.1+22.10.20220817-0ubuntu1) kinetic; urgency=medium

  [ Alberts Muktupāvels ]
  * Set CMake policy CMP0072 to NEW behavior

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 Aug 2022 16:58:51 +0000

compiz (1:0.9.14.1+22.10.20220815.3-0ubuntu1) kinetic; urgency=medium

  [ Alberts Muktupāvels ]
  * gtk-window-decorator: set client type before using WnckScreen API
  * event: use correct window when deciding if it should appear focused
  * Fix build errors and warnings

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 15 Aug 2022 19:45:55 +0000

compiz (1:0.9.14.1+22.04.20211217-0ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:24:08 +0000

compiz (1:0.9.14.1+22.04.20211217-0ubuntu1) jammy; urgency=medium

  [ Daniel Kondor ]
  * core: EventManager::removeWatchFd() should remove the watch from the
    Glib::MainContext (LP: #1879975)

  [ Sam Spilsbury ]
  * blur: Set precision level in fragment shader in GL_ES case.
  * Enable EGL_EXT_buffer_age on USE_GLES where it is advertised.
  * blur: Use GLFramebufferObject::rebind with the returned framebuffer.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 17 Dec 2021 12:06:09 +0000

compiz (1:0.9.14.1+22.04.20211026-0ubuntu1) jammy; urgency=medium

  * Increase string buffer size to fix GCC format-truncation error.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 26 Oct 2021 15:43:43 +0000

compiz (1:0.9.14.1+21.10.20210501-0ubuntu1) impish; urgency=medium

  * Remove unused empty private structs.
  * Update FSF addresses. (LP: #1923481)
  * Build the compizconfig Python extension using distutils. Bump
    required CMake version to 3.17 to make this possible. (LP: #1926046)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 01 May 2021 17:29:43 +0000

compiz (1:0.9.14.1+20.10.20200813-0ubuntu4) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:31:18 +0100

compiz (1:0.9.14.1+20.10.20200813-0ubuntu3) hirsute; urgency=medium

  * Build-depend on python3-dev instead of python3-all-dev.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Oct 2020 11:03:40 +0100

compiz (1:0.9.14.1+20.10.20200813-0ubuntu2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Oct 2020 10:56:28 +0100

compiz (1:0.9.14.1+20.10.20200813-0ubuntu1) groovy; urgency=medium

  * Use unsigned long for getting/setting _NET_WM_USER_TIME property, to
    fix tests on s390x.
  * Add support for CMake Unity builds (aka Jumbo builds). (LP:
    #1882792)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 13 Aug 2020 06:58:29 +0000

compiz (1:0.9.14.1+20.10.20200526-0ubuntu5) groovy; urgency=medium

  * Revert last upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jul 2020 15:51:18 +0200

compiz (1:0.9.14.1+20.10.20200526-0ubuntu4) groovy; urgency=medium

  * Disable tests on s390x, ungoing investigation

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jul 2020 18:05:08 +0200

compiz (1:0.9.14.1+20.10.20200526-0ubuntu3) groovy; urgency=medium

  * Initialize 3 arrays to zero to silence a new gcc-10 warning
  * Move window_type_frames to extern in the header file, fixing a build
    failure with gcc-10

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jul 2020 11:39:45 +0200

compiz (1:0.9.14.1+20.10.20200526-0ubuntu2) groovy; urgency=medium

  * Rebuild against new libprotobuf23.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jul 2020 10:13:56 +0200

compiz (1:0.9.14.1+20.10.20200526-0ubuntu1) groovy; urgency=medium

  [ Daniel Kondor ]
  * Make annotate plugin D-Bus interface working, and clean up code.
    (LP: #1878545)
  * Use dbus_bool_t instead of bool.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 26 May 2020 16:38:36 +0000

compiz (1:0.9.14.1+20.10.20200514-0ubuntu1) groovy; urgency=medium

  * No-change rebuild against libmetacity3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 14 May 2020 09:04:56 +0000

compiz (1:0.9.14.1+20.10.20200427-0ubuntu1) groovy; urgency=medium

  [ Alberts Muktupāvels ]
  * ccsm: remove HeaderStyleSet (LP: #1863561)
  * window-decorator: remove shade, stick and above buttons

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 27 Apr 2020 10:22:52 +0000

compiz (1:0.9.14.1+20.04.20200211-0ubuntu1) focal; urgency=medium

  * No-change rebuild to pick up cmake 3.16 path.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 11 Feb 2020 12:54:26 +0000

compiz (1:0.9.14.1+20.04.20200130-0ubuntu1) focal; urgency=medium

  [ Alberts Muktupāvels ]
  * Add support for _GNOME_WM_STRUT_AREA.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 30 Jan 2020 12:06:21 +0000

compiz (1:0.9.14.1+20.04.20200129-0ubuntu1) focal; urgency=medium

  [ Alberts Muktupāvels ]
  * Add support for _GTK_WORKAREAS_Dn.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 29 Jan 2020 11:42:37 +0000

compiz (1:0.9.14.1+20.04.20200117-0ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:25:42 +0000

compiz (1:0.9.14.1+20.04.20200117-0ubuntu1) focal; urgency=medium

  [ Alberts Muktupāvels ]
  * don't change pkg-config search path (LP: #1859778)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 17 Jan 2020 18:25:29 +0000

compiz (1:0.9.14.1+20.04.20191127-0ubuntu1) focal; urgency=medium

  * Bump upstream version number to 0.9.14.1.
  * Import Spanish, German and Turkish translations from Launchpad.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 27 Nov 2019 13:24:31 +0000

compiz (1:0.9.14.0+20.04.20191118-0ubuntu1) focal; urgency=medium

  [ Alberts Muktupāvels ]
  * gtk-window-decorator: fix crash with Cairo theme (LP: #1847129)
  * Remove MATE configuration.

  [ Dmitry Shachnev ]
  * Use GLib.markup_escape_text instead of cgi.escape which was removed
    in Python 3.8.
  * Fix build with latest googletest, by using static libraries shipped
    by distro.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 18 Nov 2019 07:01:26 +0000

compiz (1:0.9.14.0+19.10.20190918-0ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:38:37 +0000

compiz (1:0.9.14.0+19.10.20190918-0ubuntu1) eoan; urgency=medium

  * Fix build failure with GCC 9 because of format-truncation warning.
    (LP: #1843974)

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 18 Sep 2019 13:05:28 +0000

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libdecoration0t64`.
